<?php
/*======================================================================*\
|| #################################################################### ||
|| # Package - YJ Plans Extended								        ||
|| # Copyright (C) since 2007  Youjoomla.com . All Rights Reserved.     ||
|| # license - PHP files are licensed under  GNU/GPL V2                 ||
|| # license - CSS  - JS - IMAGE files  are Copyrighted material        ||
|| # bound by Proprietary License of Youjoomla.com                      ||
|| # for more information visit http://www.youjoomla.com/license.html   ||
|| # Redistribution and  modification of this software                  ||
|| # is bounded by its licenses                                         ||
|| # websites - http://www.youjoomla.com | http://www.yjsimplegrid.com  ||
|| #################################################################### ||
\*======================================================================*/
defined('JPATH_BASE') or die();

/**
 * Renders a spacer element
 *
 * @package 	Joomla.Framework
 * @subpackage		Parameter
 * @since		1.5
 */

class JFormFieldYjInput extends JFormField
{
	/**
	* Element name
	*
	* @access	protected
	* @var		string
	*/
	
	var	$type 				= 'YjInput';
	
	static $js_declarations = false;
	
	public function getInput()
	{

		$document 		= JFactory::getDocument();
		$e_folder		= basename(dirname(dirname(__FILE__)));
		
		
		if(intval(JVERSION) >= 3){
			JHtml::_('jquery.framework');
		}else{
			$document->addScript(JURI::root(true).'/modules/'.$e_folder.'/elements/src/jquery.min.js');
		}
		
		
		$document->addScript(JURI::root(true).'/modules/'.$e_folder.'/elements/src/yjinput.js');
		$document->addStylesheet(JURI::root(true).'/modules/'.$e_folder.'/elements/css/style.css');
				
		if(!self::$js_declarations){
			$document->addScriptDeclaration('var yjinput_size = new Array();');
			$document->addScriptDeclaration('var yjinput_label = "'.$this->element->attributes()->label.'";');
			self::$js_declarations = true;
		}

		if(isset($this->element->attributes()->size) && $this->element->attributes()->size > 0){
			$document->addScriptDeclaration('yjinput_size["'.$this->fieldname.'"] = '.$this->element->attributes()->size.';');
		}

		if(!is_array($this->value) && $this->value != ""){
			$this->value = explode("|",$this->value);
		}

		echo "<div id=\"".$this->fieldname."\" class=\"yjinput_holder\">
				<a href=\"javascript:;\" onclick=\"yjinput_add(this,1);\" id=\"yjinput_add_first_".$this->fieldname."\" class=\"add_one input_action\">Add ".$this->element->attributes()->label."</a>";
		if(!empty($this->value)){
			foreach($this->value as $db_value_row => $db_value){
				echo	"<div id=\"yjinput_content_".$this->fieldname.$db_value_row."\" class=\"yjinput_content\">
							<label id=\"".$this->id.$db_value_row."-lbl\" for=\"".$this->id.$db_value_row."\" class=\"hasTip\" title=\"".$this->description."\">".$this->element->attributes()->label." ".($db_value_row+1)."</label>
							<textarea name=\"".$this->name."[]\" id=\"".$this->id.$db_value_row."\"  rows=\"4\" cols=\"50\" class=\"required yjinputbox\" required=\"required\" aria-required=\"true\" size=\"".(isset($this->element->attributes()->size) ? $this->element->attributes()->size : "")."\" aria-invalid=\"false\">".htmlspecialchars($db_value, ENT_COMPAT, 'UTF-8')."</textarea>
							<a href=\"#\" onclick=\"yjinput_add(this,0);\" id=\"yjinput_add_".$this->fieldname.$db_value_row."\" class=\"add_one input_action\">Add ".$this->element->attributes()->label."</a><a href=\"javascript:;\" onclick=\"yjinput_remove(this);\" id=\"yjinput_remove_".$this->fieldname.$db_value_row."\" class=\"remove_one input_action\">Remove ".$this->element->attributes()->label."</a>
						</div>";
			}
		}
		echo "</div>";
		
		return false;
	}

	public function getLabel() 
	{
		return false;
	}
}
